package com.qianhe.service;

import com.qianhe.domain.JygxBmjj;

import java.util.List;


/**
 * 经验共享-组织领导Service接口
 *
 * @author qianhe
 * @date 2024-07-30
 */
public interface IJygxBmjjService
{
    /**
     * 查询经验共享-组织领导
     *
     * @param id 经验共享-组织领导主键
     * @return 经验共享-组织领导
     */
    public JygxBmjj selectJygxBmjjById(Long id);

    /**
     * 查询经验共享-组织领导列表
     *
     * @param jygxBmjj 经验共享-组织领导
     * @return 经验共享-组织领导集合
     */
    public List<JygxBmjj> selectJygxBmjjList(JygxBmjj jygxBmjj);

    /**
     * 新增经验共享-组织领导
     *
     * @param jygxBmjj 经验共享-组织领导
     * @return 结果
     */
    public int insertJygxBmjj(JygxBmjj jygxBmjj);

    /**
     * 修改经验共享-组织领导
     *
     * @param jygxBmjj 经验共享-组织领导
     * @return 结果
     */
    public int updateJygxBmjj(JygxBmjj jygxBmjj);

    /**
     * 批量删除经验共享-组织领导
     *
     * @param ids 需要删除的经验共享-组织领导主键集合
     * @return 结果
     */
    public int deleteJygxBmjjByIds(Long[] ids);

    /**
     * 删除经验共享-组织领导信息
     *
     * @param id 经验共享-组织领导主键
     * @return 结果
     */
    public int deleteJygxBmjjById(Long id);
}
